package com.quant.entity;

import java.sql.Timestamp;

/**
 * UserOrder entity. @author MyEclipse Persistence Tools
 */

public class UserOrder implements java.io.Serializable {

	// Fields

	private Integer id;
	private Integer orderId;
	private String orderCode;
	private Integer uid;
	private String userName;
	private String mobile;
	private Integer introducerUid;
	private Integer orgin;
	private Integer majorStatus;
	private Integer minorStatus;
	private Integer productId;
	private Integer orderMount;
	private Integer actualMount;
	private String description;
	private Timestamp postTime;

	// Constructors

	/** default constructor */
	public UserOrder() {
	}

	/** full constructor */
	public UserOrder(Integer orderId, String orderCode, Integer uid,
			String userName, String mobile, Integer introducerUid,
			Integer orgin, Integer majorStatus, Integer minorStatus,
			Integer productId, Integer orderMount, Integer actualMount,
			String description, Timestamp postTime) {
		this.orderId = orderId;
		this.orderCode = orderCode;
		this.uid = uid;
		this.userName = userName;
		this.mobile = mobile;
		this.introducerUid = introducerUid;
		this.orgin = orgin;
		this.majorStatus = majorStatus;
		this.minorStatus = minorStatus;
		this.productId = productId;
		this.orderMount = orderMount;
		this.actualMount = actualMount;
		this.description = description;
		this.postTime = postTime;
	}

	// Property accessors

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getOrderId() {
		return this.orderId;
	}

	public void setOrderId(Integer orderId) {
		this.orderId = orderId;
	}

	public String getOrderCode() {
		return this.orderCode;
	}

	public void setOrderCode(String orderCode) {
		this.orderCode = orderCode;
	}

	public Integer getUid() {
		return this.uid;
	}

	public void setUid(Integer uid) {
		this.uid = uid;
	}

	public String getUserName() {
		return this.userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getMobile() {
		return this.mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public Integer getIntroducerUid() {
		return this.introducerUid;
	}

	public void setIntroducerUid(Integer introducerUid) {
		this.introducerUid = introducerUid;
	}

	public Integer getOrgin() {
		return this.orgin;
	}

	public void setOrgin(Integer orgin) {
		this.orgin = orgin;
	}

	public Integer getMajorStatus() {
		return this.majorStatus;
	}

	public void setMajorStatus(Integer majorStatus) {
		this.majorStatus = majorStatus;
	}

	public Integer getMinorStatus() {
		return this.minorStatus;
	}

	public void setMinorStatus(Integer minorStatus) {
		this.minorStatus = minorStatus;
	}

	public Integer getProductId() {
		return this.productId;
	}

	public void setProductId(Integer productId) {
		this.productId = productId;
	}

	public Integer getOrderMount() {
		return this.orderMount;
	}

	public void setOrderMount(Integer orderMount) {
		this.orderMount = orderMount;
	}

	public Integer getActualMount() {
		return this.actualMount;
	}

	public void setActualMount(Integer actualMount) {
		this.actualMount = actualMount;
	}

	public String getDescription() {
		return this.description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public Timestamp getPostTime() {
		return this.postTime;
	}

	public void setPostTime(Timestamp postTime) {
		this.postTime = postTime;
	}

}